%define		debug %nil
%define		debug_package %nil

Name:		syft
Version:	1.18.1
Release:	1
Summary:	CLI tool for generating a SBOM
URL:		https://github.com/anchore/syft
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz
License:	ASL 2.0
Group:		Security
BuildRequires:	go
BuildRequires:	git-core
BuildRequires:	upx
BuildRequires:  pkgconfig(openssl3.3)

%description
A CLI tool and Go library for generating a Software Bill of
Materials (SBOM) from container images and filesystems. 
Exceptional for vulnerability detection when used with a 
scanner like Grype.

%prep
%setup -q

%build
export GOPROXY=https://proxy.golang.org/cached-only
go build -ldflags "-s -w" -o bin/%{name} ./cmd/%{name}

upx bin/%{name}

%install
install -Dm0755 bin/%{name} %{buildroot}%{_bindir}/%{name}

%files
%doc README.md LICENSE
%{_bindir}/%{name}

